Subject: Re: bug#70195: 30.0.50; vc-test-bzr02-state fails

From: Michael Albinus <[email-masked]>
Date: Sat, 01 Mar 2025 10:20:27 +0100

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

>>> Btw, with this version of Breezy:
>>>
>>>   bzr --version
>>>   Breezy (brz) 3.2.1
>>>     Python interpreter: /usr/bin/python3 3.10.12
>>>     Python standard library: /usr/lib/python3.10
>>>     Platform: Linux-5.15.0-101-generic-x86_64-with-glibc2.35
>>>
>>> I get only warnings about "nonexistent", but the bzr tests all pass.
>>
>> I'm running "Fedora Linux 39 (Workstation Edition)":
>>
>> # bzr --version
>> Breezy (brz) 3.3.3
>>   Python interpreter: /usr/bin/python3 3.12.2
>>   Python standard library: /usr/lib64/python3.12
>>   Platform: Linux-6.7.11-200.fc39.x86_64-x86_64-with-glibc2.38
>>   breezy: /usr/lib64/python3.12/site-packages/breezy
>>   Breezy configuration: /home/albinus/.config/breezy
>>   Breezy log file: /home/albinus/.cache/breezy/brz.log
>
> Are you still seeing these test failures?

Yes. I've tried with zhe emacs-30 branch:

--8<---------------cut here---------------start------------->8---
# make -C test vc-tests
Ran 42 tests, 40 results as expected, 1 unexpected, 1 skipped (2025-03-01 10:15:59+0100, 18.968494 sec)

1 unexpected results:
   FAILED  vc-test-bzr02-state
--8<---------------cut here---------------end--------------->8---

> I'm asking because maybe a newer version of Breezy is all that is
> needed, and maybe you upgraded Fedora meanwhile.

I'm running Fedora 41 now.

--8<---------------cut here---------------start------------->8---
# bzr --version
Breezy (brz) 3.3.8
  Python interpreter: /usr/bin/python3 3.13.2
  Python standard library: /usr/lib64/python3.13
  Platform: Linux-6.13.4-200.fc41.x86_64-x86_64-with-glibc2.40
  breezy: /usr/lib64/python3.13/site-packages/breezy
  Breezy configuration: /home/albinus/.config/breezy
  Breezy log file: /home/albinus/.cache/breezy/brz.log
--8<---------------cut here---------------end--------------->8---

Best regards, Michael.